package com.djhk.uav.sysPolice.mapper;


import com.djhk.uav.sysPolice.domain.PoliceInfoEs;

import java.util.List;

/**
 * 警员信息ES
Mapper接口
 * 
 * @author qpc
 * @date 2025-04-14
 */
public interface PoliceInfoEsMapper 
{
    /**
     * 查询警员信息ES

     * 
     * @param fhRksj 警员信息ES
主键
     * @return 警员信息ES

     */
    public PoliceInfoEs selectPoliceInfoEsByFhRksj(String fhRksj);

    /**
     * 查询警员信息ES
列表
     * 
     * @param policeInfoEs 警员信息ES

     * @return 警员信息ES
集合
     */
    public List<PoliceInfoEs> selectPoliceInfoEsList(PoliceInfoEs policeInfoEs);

    /**
     * 新增警员信息ES

     * 
     * @param policeInfoEs 警员信息ES

     * @return 结果
     */
    public int insertPoliceInfoEs(PoliceInfoEs policeInfoEs);

    /**
     * 修改警员信息ES

     * 
     * @param policeInfoEs 警员信息ES

     * @return 结果
     */
    public int updatePoliceInfoEs(PoliceInfoEs policeInfoEs);

    /**
     * 删除警员信息ES

     * 
     * @param fhRksj 警员信息ES
主键
     * @return 结果
     */
    public int deletePoliceInfoEsByFhRksj(String fhRksj);

    /**
     * 批量删除警员信息ES

     * 
     * @param fhRksjs 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePoliceInfoEsByFhRksjs(String[] fhRksjs);

    void truncate();
}
